# Installation
> `npm install --save @types/react-native-sensor-manager`

# Summary
This package contains type definitions for react-native-sensor-manager (https://github.com/kprimice/react-native-sensor-manager).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-sensor-manager.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-native-sensor-manager/index.d.ts)
````ts
export * from "react-native";

interface SensorManager {
    startAccelerometer(delay: number): void;
    stopAccelerometer(): void;
    startGyroscope(delay: number): void;
    stopGyroscope(): void;
    startMagnetometer(delay: number): void;
    stopMagnetometer(): void;
    startStepCounter(delay: number): void;
    stopStepCounter(): void;
    startThermometer(delay: number): void;
    stopThermometer(): void;
    startMotionValue(delay: number): void;
    stopMotionValue(): void;
    startOrientation(delay: number): void;
    stopOrientation(): void;
    startProximity(delay: number): void;
    stopProximity(): void;
    startLightSensor(delay: number): void;
    stopLightSensor(): void;
}

declare module "react-native" {
    export interface DeviceEventEmitterStatic {
        addListener(
            event: "Accelerometer" | "Gyroscope" | "Magnetometer",
            callback: (data: { x: number; y: number; z: number }) => void,
        ): EmitterSubscription;
        addListener(
            event: "Orientation",
            callback: (data: { azimuth: number; pitch: number; roll: number }) => void,
        ): EmitterSubscription;
        addListener(event: "StepCounter", callback: (data: { steps: number }) => void): EmitterSubscription;
        addListener(event: "Thermometer", callback: (data: { temp: number }) => void): EmitterSubscription;
        addListener(event: "LightSensor", callback: (data: { light: number }) => void): EmitterSubscription;
        addListener(
            event: "Proximity",
            callback: (data: { isNear: boolean; value: number; maxRange: number }) => void,
        ): EmitterSubscription;
    }

    export interface NativeModulesStatic {
        SensorManager: SensorManager;
    }
}

````

### Additional Details
 * Last updated: Tue, 07 Nov 2023 09:09:39 GMT
 * Dependencies: [@types/react-native](https://npmjs.com/package/@types/react-native)

# Credits
These definitions were written by .
